Get enriched product details
curl --request GET \
--url https://api.collectpure.com/products/v3 \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/products/v3"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/products/v3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"purity": "<string>",
"weight": "<string>",
"weightGrams": 123,
"sku": "<string>",
"isCertified": true,
"isIra": true,
"material": "<string>",
"attributes": [
"<string>"
],
"images": [
"<string>"
],
"manufacturer": {
"title": "<string>",
"images": [
"<string>"
],
"isEsg": true
},
"category": {
"title": "<string>",
"isNumismatic": true
},
"subCategory": {
"title": "<string>",
"premiumCalculationType": "<string>"
},
"certificateProvider": {
"title": "<string>"
},
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"highestOffer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"quantity": 123,
"spotPremium": 123,
"spotPremiumDollar": 123,
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"lowestListing": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"quantity": 123,
"spotPremium": 123,
"spotPremiumDollar": 123,
"expiresAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"images": [
"<string>"
],
"orderBook": {
"listings": [
{
"price": 123,
"qty": 123,
"spotPremium": 123,
"spotPremiumDollar": 123
}
],
"offers": [
{
"price": 123,
"qty": 123,
"spotPremium": 123,
"spotPremiumDollar": 123
}
]
}
}
],
"recentActivity": [
{
"event": "<string>",
"createdAt": "<string>",
"price": 123,
"quantity": 123,
"spotPremium": 123,
"spotPremiumDollar": 123
}
]
}
}Product API
Get enriched product details
Retrieve a single product with all variants (including best offer/listing and order book per variant) and recent activity.
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
products
/
v3
Get enriched product details
Authorizations
API key for authentication
Query Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I